Bug 2585 - XSLT bib details: search links for authorized names can be incorrect
Summary: XSLT bib details: search links for authorized names can be incorrect
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-05 08:49 UTC by Galen Charlton
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (5.40 KB, application/octet-stream)
2009-08-25 17:02 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:53:09 UTC


---- Reported by gmcharlt@gmail.com 2008-09-05 08:49:49 ----

When using the default stylesheet for MARC21 XSLT OPAC details display, the search links for name headings (from 100, 700, 710, 710, 111, and 711) that are linked to authority records don't work.  When the user clicks on such a link, they are directed to the advanced search form instead of the search results.

[LL http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=112]



---- Additional Comments From gmcharlt@gmail.com 2008-09-05 08:52:40 ----

Patch submitted.



---- Additional Comments From gmcharlt@gmail.com 2008-09-09 09:38:07 ----

Patch pushed.  Debra, please test in a local test database and advise if the bug can be closed.



---- Additional Comments From nengard@gmail.com 2008-09-12 10:48:52 ----

I don't think it's fixed - I run a search - get no results: http://opac-nce.dev.kohalibrary.com/cgi-bin/koha/opac-detail.pl?biblionumber=721 



---- Additional Comments From nengard@gmail.com 2008-09-12 10:49:37 ----

FYI - it works if the author doesn't have an authority record: http://opac-nce.dev.kohalibrary.com/cgi-bin/koha/opac-detail.pl?biblionumber=724 



---- Additional Comments From nengard@gmail.com 2009-08-25 17:02:28 ----

Created an attachment
patch





---- Additional Comments From nengard@gmail.com 2009-08-25 17:03:02 ----

(From update of attachment 1068 [details])
sorry this patch is for another bug



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:53 UTC  ---

This bug was previously known as _bug_ 2585 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2585
Imported an attachment (id=746)

Actual time not defined. Setting to 0.0
CC member debra.denault@liblime.com does not have an account here
The original submitter of attachment 746 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2010-12-15 01:37:54 UTC
Wheres this at?
Comment 2 Jared Camins-Esakov 2012-12-31 00:30:13 UTC
There have been no further reports of problems so I am marking this bug resolved.